# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: xterm
Version: 235
Release: alt1

Summary: A standard terminal emulator for the X Window System
Summary(ru_RU.KOI8-R):     X Window System
Url: http://invisible-island.net/xterm/
License: MIT
Group: Terminals
Packager: Slava Semushin <php-coder@altlinux.ru>

Source0: ftp://invisible-island.net/%name/%name-%version.tgz
Source1: uxterm

Patch0: xterm-alt-render.patch
Patch1: xterm-alt-utempter.patch
Patch2: xterm-alt-tinfo.patch
Patch3: xterm-alt-perms.patch
Patch4: xterm-alt-deffont.patch
Patch5: xterm-alt-makefile-install.patch
Patch6: xterm-alt-disable-report_win_label.patch
Patch7: xterm-alt-i18n.patch
Patch8: xterm-alt-colors.patch
Patch9: xterm-alt-class.patch

# Fix for bug #11002
Patch10: xterm-alt-back_old_behavior_for_modifyFunctionKeys.patch

# Fix for bug #595
Patch11: xterm-alt-metaSendsEscape.patch

# Fix for bug #12776
Patch12: xterm-alt-enable_utf8title.patch

Provides: xvt, %_bindir/xvt
PreReq: libutempter >= 1.0.7, alternatives >= 0:0.2.0-alt0.12
BuildPreReq: alternatives groff-base imake libXaw-devel libXft-devel libncurses-devel libutempter-devel libxkbfile-devel xorg-cf-files
BuildRequires: desktop-file-utils

%description
The XTerm program is the standard terminal emulator for the X Window System.
It provides DEC VT102/VT220 and Tektronix 4014 compatible terminals for
programs that can't use the window system directly.  If the underlying
operating system supports terminal resizing capabilities (for example,
the SIGWINCH signal in systems derived from 4.3bsd), xterm will use
the facilities to notify programs running in the window whenever it
is resized.

%prep
%setup

install -pm755 %_sourcedir/uxterm .

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p2

sed -i 's|Exec=xterm|& -name XTerm|' %name.desktop

%build
export ac_cv_path_XTERM_PATH=%_bindir/%name
export DESKTOP_FLAGS='--vendor="" --dir=%buildroot%_desktopdir --add-category="TerminalEmulator"'
%configure \
	--with-app-defaults=%_sysconfdir/X11/app-defaults \
	--with-utempter \
	--enable-warnings \
	--enable-wide-chars \
	--enable-dec-locator \
	--enable-narrowproto \
	--disable-full-tgetent \
	--disable-echo \
	#

%make_build all ctlseqs.txt
bzip2 -9fk ctlseqs.txt

%install
%make_install DESTDIR=%buildroot install install-desktop --silent --no-print-directory

mkdir -p %buildroot%_altdir
cat >%buildroot%_altdir/%name <<EOF
%_bindir/xvt	%_bindir/xterm	40
EOF

%post
%register_alternatives %name -- xvt
%update_menus

%postun
%unregister_alternatives %name
%clean_menus

%files
%doc README ctlseqs.txt.* %name.log.html
%attr(2711,root,utempter) %_bindir/%name
%_bindir/uxterm
%_bindir/koi8rxterm
%_bindir/resize
%_man1dir/resize.1.*
%_man1dir/%name.1.*
%_man1dir/uxterm.1.*
%_man1dir/koi8rxterm.1.*
%config(noreplace) %_sysconfdir/X11/app-defaults/*
%_altdir/%name
%_desktopdir/*.desktop
%_pixmapsdir/*.xpm

%changelog
* Mon Apr 21 2008 Slava Semushin <php-coder@altlinux.ru> 235-alt1
- Updated to 235

* Sun Mar 16 2008 Slava Semushin <php-coder@altlinux.ru> 234-alt2
- Enable Utf8Title resource by default (#12776)

* Sat Mar 08 2008 Slava Semushin <php-coder@altlinux.ru> 234-alt1
- Updated to 234

* Mon Feb 25 2008 Slava Semushin <php-coder@altlinux.ru> 233-alt1
- Updated to 233

* Wed Feb 13 2008 Slava Semushin <php-coder@altlinux.ru> 232-alt1
- Updated to 232

* Tue Jan 08 2008 Slava Semushin <php-coder@altlinux.ru> 231-alt1
- Updated to 231

* Wed Jan 02 2008 Slava Semushin <php-coder@altlinux.ru> 230-alt1
- Updated to 230

* Mon Sep 10 2007 Slava Semushin <php-coder@altlinux.ru> 229-alt2
- Fixed build with desktop-file-utils-0.14 (correct desktop files)

* Mon Aug 13 2007 Slava Semushin <php-coder@altlinux.ru> 229-alt1
- Updated to 229
  (thanks to Michael Shigorin aka mike@ for notifying about new version)

* Mon Aug 06 2007 Slava Semushin <php-coder@altlinux.ru> 228-alt2
- Enable metaSendsEscape by default. It allows to work Alt-<key>
  combination (re-fixed #595)

* Mon Jul 23 2007 Slava Semushin <php-coder@altlinux.ru> 228-alt1
- Updated to 228

* Sun Jul 01 2007 Slava Semushin <php-coder@altlinux.ru> 227-alt1
- Updated to 227
- New maintainer
- Removed our icons and use icons from upstream
- Replaced menu file by desktop files from upstream
- Removed paste_in_koi8-r_fix patch (it was taken from upstream)
- Adapted patches
- Spec cleanup: use %%name macros in url in Source tag

* Thu Jun 21 2007 Slava Semushin <php-coder@altlinux.ru> 225-alt1.2
- NMU
- Fixed paste in koi8-r locale (#11725, deb #420974)

* Wed Apr 25 2007 Damir Shayhutdinov <damir@altlinux.ru> 225-alt1.1
- This release is based on Slava Semushin <php-coder> spec.

* Tue Apr 24 2007 Slava Semushin <php-coder@altlinux.ru> 225-alt1
- NMU
- Updated to 225 (which also fixes bug #11067)
- Adapted patches and modifying deffont patch
  (thnx vsu@ for detailed explanation how do this)

* Sat Mar 17 2007 Damir Shayhutdinov <damir@altlinux.ru> 224-alt2.1
- NMU based on Slava Semushin <php-coder> spec.

* Tue Mar 13 2007 Slava Semushin <php-coder@altlinux.ru> 224-alt2
- NMU
- Back old behaviour for modifyFunctionKeys resource (#11002)
- Changed Packager to Damir Shayhutdinov aka damir@
- Minor rewording in %%changelog (thnx to ldv@)

* Sat Feb 24 2007 Damir Shayhutdinov <damir@altlinux.ru> 224-alt1.1
- NMU based on Slava Semushin <php-coder> spec.

* Tue Feb 20 2007 Slava Semushin <php-coder@altlinux.ru> 224-alt1
- NMU
- Updated to 224

* Sat Dec 02 2006 Slava Semushin <php-coder@altlinux.ru> 222-alt1
- NMU
- Updated to 222
- Removed metaaltfix patch (not needed anymore)
- Adapted all patches
- Enable _unpackaged_files_terminate_build
- Spec cleanup:
  + Renumber all patches
  + Replace all %%_x11* macroses to macroses without x11 prefixes
  + Do not try to remove files with ".orig" suffix: no longer needed
    after regnerating all patches for new upstream version
  + Removed chmod -R u+w: not needed too
  + Removed LDFLAGS from make: --as-needed now enabled by default
  + Running make with --no-print-directory and --silent options
  + Removed --enable-freetype flag for configure (enabled by default)
  + Added --disable-echo flag to configure
  + More strict names in %%files section
  + s/%%setup -q/%%setup/

* Thu Mar 23 2006 Dmitry V. Levin <ldv@altlinux.org> 211-alt1
- Updated to 211.
- Corrected typo in menu entry (#9299).

* Wed Mar 01 2006 Dmitry V. Levin <ldv@altlinux.org> 209-alt1
- Updated to 209.
- Relocated from /usr/X11R6 to /usr (#9101).

* Thu Jun 09 2005 Dmitry V. Levin <ldv@altlinux.org> 202-alt2
- Changed default UXTerm font to meet XTerm font defaults.

* Wed Jun 08 2005 Dmitry V. Levin <ldv@altlinux.org> 202-alt1
- Updated to 202.
- Updated patches.
- Set default class to UXTerm when run with utf8 codeset (#7026).
- Converted alternatives config files to new format (0.2.0).

* Tue Oct 05 2004 Dmitry V. Levin <ldv@altlinux.org> 196-alt1
- Updated to 196.
- Updated patches.

* Tue Jun 29 2004 Dmitry V. Levin <ldv@altlinux.org> 191-alt3
- Reverted color change in xterm-180, to fix (#4538):
  + use color resource setting from Debian package
    for xterm VT100 widget, since the choice of blues
    provides better contrast.

* Thu Jun 10 2004 Dmitry V. Levin <ldv@altlinux.org> 191-alt2
- Honor locale in default charClass (#1879).

* Thu Jun 10 2004 Dmitry V. Levin <ldv@altlinux.org> 191-alt1
- Updated to 191.
- Updated patches.

* Wed May 28 2003 Dmitry V. Levin <ldv@altlinux.org> 179-alt1
- Updated to 179.
- Fixed to build with new -lXft.

* Mon Apr 14 2003 Stanislav Ievlev <inger@altlinux.ru> 177-alt2.1
- move to new alternatives scheme

* Wed Mar 26 2003 Dmitry V. Levin <ldv@altlinux.org> 177-alt2
- Disabled report_win_label support (CAN-2003-0063).

* Mon Mar 24 2003 Dmitry V. Levin <ldv@altlinux.org> 177-alt1
- Updated to 177.

* Fri Feb 28 2003 Dmitry V. Levin <ldv@altlinux.org> 174-alt1
- Updated to 174.
- Enabled freetype support (#0002298).

* Tue Feb 18 2003 Dmitry V. Levin <ldv@altlinux.org> 173-alt1
- Updated to 173.
- Disabled logging support.

* Tue Dec 24 2002 Dmitry V. Levin <ldv@altlinux.org> 170-alt2
- Rebuilt with libutempter-1.1.0.

* Sun Oct 27 2002 Dmitry V. Levin <ldv@altlinux.org> 170-alt1
- 170, updated patches.
- Fixed uxterm wrapper.

* Thu Sep 26 2002 Dmitry V. Levin <ldv@altlinux.org> 167-alt3
- Fixed logger.

* Tue Sep 24 2002 Dmitry V. Levin <ldv@altlinux.org> 167-alt2
- Drop effective group ID, too (but save it for utempter).

* Tue Sep 03 2002 Dmitry V. Levin <ldv@altlinux.org> 167-alt1
- 167, updated patches.
- Fixed metaalt fix (#0000595).
- Added ctlseqs.ms and %name.log* to documentation

* Sat Jun 29 2002 Dmitry V. Levin <ldv@altlinux.org> 166-alt2
- Patched to link with libtinfo.

* Tue Apr 09 2002 Dmitry V. Levin <ldv@alt-linux.org> 166-alt1
- 166.
- Updated dependencies.

* Tue Jan 08 2002 Dmitry V. Levin <ldv@alt-linux.org> 165-alt1
- 165.
- Fixed tmp files handling.
- Fixed build to use ncurses instead of termcap.
- Fixed out libelf-devel requirement for build.
- Changed alternative for xvt (priority=20).
- Utempter support: use XDisplayString as remote hostname.
- Built with DECterm Locator support enabled.
- Cleanup for non-alt patches and docs.
- Added xvt to provides list.

* Tue Oct 16 2001 Dmitry V. Levin <ldv@alt-linux.org> 161-alt1
- 161.
- Specfile cleanup.
- Built with new utempter protocol support enabled.
- Built with logging support enabled (ok for sgid-utempter program).

* Tue Sep 11 2001 Konstantin Volckov <goldhead@altlinux.ru> 158-alt1
- Rebuilt with new XFree86
- New version 158
- Some spec cleanup

* Fri Jun 8 2001 AEN <aen@logic.ru> 156-alt4
- XFree requires removed

* Wed Jun 6 2001 AEN <aen@logic.ru> 156-alt3
- xft restored

* Wed Jun 6 2001 AEN <aen@logic.ru> 156-alt2
- xft patch temporary removed
- bidi patch temporary removed

* Tue Jun 5 2001 AEN <aen@logic.ru> 156-alt1
- build for Sisyphus

* Wed May 09 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 156-3mdk
- actually enabled support for use of locales and bidi

* Tue May 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 156-2mdk
- add bidirectional support (ie for semitic languages)

* Tue May 01 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 156-1mdk
- new release
- fix render test

* Mon Apr 23 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 155-1mdk
- newrelease

* Thu  Apr 12 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 154-1mdk
- New and shiny 154 bumped into cooker.

* Sat Mar 31 2001 Frederic Lepied <flepied@mandrakesoft.com> 152-3mdk
- enable unicode

* Thu Mar 29 2001 Frederic Lepied <flepied@mandrakesoft.com> 152-2mdk
- recompiled to activate the Render extension.

* Thu Mar 15 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 152-1mdk
- new release

* Mon Mar 12 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 151-1mdk
- new version

* Thu Feb  8 2001 Pixel <pixel@mandrakesoft.com> 150-2mdk
- add as alternative xvt

* Sun Dec 31 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 150-1mdk
- new and shiny source.

* Tue Dec 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 149-1mdk
- Fix compilation with last XFree.
- 149.

* Thu Nov 16 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 148-1mdk
- new release

* Fri Aug 25 2000 David BAUDENS <baudens@mandrakesoft.com> 144-2mdk
- Fix Menu entry (fix name, add longtitle and provide icons)
- Fix Sumary and Description
- Fix %%doc

* Thu Aug 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 144-1mdk
- s|143|144|.

* Mon Aug 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 143-1mdk
- new and shiny version.

* Sun Aug 20 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 142-1mdk
- even more use of the _menudir macro.
- a new and shiny version.

* Thu Aug 17 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 141-2mdk
- fix usage of macro before its definition: you don't get any chickens before
  they hatch.!

* Tue Aug 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 141-1mdk
- s|140|141|.

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 140-2mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 140-1mdk
- more macros (_menudir and the like : geoffroy sucks:-) )
- new release

* Mon Jul 24 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 139-2mdk
- fix silly typo in summary

* Sat Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 139-1mdk
- xterm source has moved
- new version
- some macro-ization

* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 131-4mdk
- remove full path of icon in menu entry

* Tue Apr  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 131-3mdk
- Set menu in /Terminals.

* Sat Apr  1 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 131-2mdk
- Requires: XFree86 >= 3.3.6-13mdk to avoid conflicts.

* Fri Mar 31 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 131-1mdk
- Menu.
- First version.
- Fix meta-alt keys (Hey hey fred ;)).
